CVE-2017-14977

NameCVE-2017-14977
DescriptionThe FoFiTrueType::getCFFBlock function in FoFiTrueType.cc in Poppler 0.59.0 has a NULL pointer dereference vulnerability due to lack of validation of a table pointer, which allows an attacker to launch a denial of service attack.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1177-1, DSA-4079-1
NVD severitymedium (attack range: remote)
Debian Bugs877952

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
poppler (PTS)jessie (security), jessie0.26.5-2+deb8u4fixed
stretch (security), stretch0.48.0-2+deb9u2fixed
buster, sid0.63.0-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
popplersource(unstable)0.61.1-2low877952
popplersourcejessie0.26.5-2+deb8u2mediumDSA-4079-1
popplersourcestretch0.48.0-2+deb9u1mediumDSA-4079-1
popplersourcewheezy0.18.4-6+deb7u4mediumDLA-1177-1

Notes

https://bugs.freedesktop.org/show_bug.cgi?id=103045
https://cgit.freedesktop.org/poppler/poppler/commit/?id=19eedc6fb693a62f305e13079501e3105f869f3c

Search for package or bug name: Reporting problems